Updating or installing plugins takes a very long time because of Legacy SharePoint Connector for Confluence

This issue has been fixed with version 1.6.1.

Symptoms

Updating or installing any plugin, or upgrading the UPM takes a very long time (about 30 min per plugin). If you wait long enough the plugin update gets completed and there seem to be no errors in the logs.

If you take a thread dump, you can see how one of the threads is stuck:

Thread[pool-7-thread-4,5,main]
        org.apache.felix.framework.ModuleImpl.getWires(ModuleImpl.java:461)
        org.apache.felix.framework.Felix.getImportingBundles(Felix.java:3309)
        org.apache.felix.framework.ExportedPackageImpl.getImportingBundles(ExportedPackageImpl.java:67)
        com.atlassian.plugin.osgi.factory.OsgiPluginInstalledHelper.getRequiredPluginsFromExports(OsgiPluginInstalledHelper.java:174)
        com.atlassian.plugin.osgi.factory.OsgiPluginInstalledHelper.getRequiredPlugins(OsgiPluginInstalledHelper.java:148)
        com.atlassian.plugin.osgi.factory.OsgiPlugin.getRequiredPlugins(OsgiPlugin.java:364)
        com.atlassian.plugin.manager.DefaultPluginManager.disableDependentPlugins(DefaultPluginManager.java:743)
        com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:670)
        com.atlassian.plugin.manager.DefaultPluginManager.scanForNewPlugins(DefaultPluginManager.java:445)
        com.atlassian.plugin.manager.DefaultPluginManager.installPlugins(DefaultPluginManager.java:348)
        com.atlassian.confluence.plugin.EventDispatchingPluginController.installPlugins(EventDispatchingPluginController.java:85)
... 

Diagnosis

This problem can be caused by the Legacy SharePoint Connector for Confluence plugin 1.6 or lower.

Cause

This is caused by the known issue CSI-967 - Getting issue details... STATUS .

Workaround

The delay disappears if you disable the Legacy SharePoint Connector plugin. You can enable it again once you have finished updating your plugins.

Resolution

Upgrade to  Legacy SharePoint Connector 1.6.1

There is no content with the specified labels